Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Funtoo: How to install latest version of nodejs package?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
bluephoenix
Tux's lil' helper
Tux's lil' helper


Joined: 01 Nov 2008
Posts: 94

PostPosted: Wed May 29, 2019 8:21 am    Post subject: Funtoo: How to install latest version of nodejs package? Reply with quote

Dears,

Currently I can only emerge nodejs-9.11.2 in my machine whatever I add coments in package.unmask or package.accept_keywords.

But I want to install nodejs-12. How should I do?

And same issue happened for installing latest version of android-studio.

Thanks for your hint.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21675
Location: here

PostPosted: Wed May 29, 2019 9:18 am    Post subject: Reply with quote

nodejs-12 is hard masked you should add this version in package.unmask and package.accept_keywords (if you are in stable system).
But if a package is hard masked there is a reason
/usr/portage/profiles/package.mask:
# Jeroen Roovers <jer@gentoo.org> (24 Apr 2019)
# Depends on =dev-libs/openssl-1.1.1* due to newly introduced
# support for EVP_PKEY_ED25519 and EVP_PKEY_ED448 (bug #670574).
=net-libs/nodejs-11.15.0
=net-libs/nodejs-12*

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
bluephoenix
Tux's lil' helper
Tux's lil' helper


Joined: 01 Nov 2008
Posts: 94

PostPosted: Wed May 29, 2019 11:16 am    Post subject: Reply with quote

Thanks!

And do you know when these issue could be solved and get a newer version of nodejs?

And I feel a little bit strange that I could start to install nodejs-12 only after I run "ego sync" (I am using funtoo, in gentoo it should be "emerge --sync"). Before running that command, emerge only show I could install nodejs-9.

Although I successfully installed nodejs-12, I saw a few error message during the procedure. So it is not smooth.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum